﻿<!DOCTYPE html>
<html>
  <head>
    <title>{{ title[current_language] }}</title>
    {% include '/g/head.njk' %}


    <link rel=stylesheet flyauth_href="theme.less.css">
  </head> 
  <body>
    {% include '/g/header.njk' %}

    
    <h1 class="model-name">{{ model.name[current_language] }}</h1>
    <div id="new-item-opt">{{ lang.add_new }}</div>

    <div id="model-pages"></div>
    <div id="item-editor" class="new-row row-editor" method=post action="/flycms-admin-api/{{ model_name }}">
      <div class="editor-header">
        <div class="close-editor">&#xF10A;</div>
      </div>
      <div class="editor-inputs-wrap">
        <div class="editor-inputs">
          {% if model.lang == true %}
            <div class="ilang-select">
              <h3>Input language</h3>
              <select>
                {% for clang in available_languages %}
                  <option lang="{{ clang }}" {% if clang == current_language %}selected{%endif%}>{{ clang }}</option>
                {% endfor %}
              </select>
            </div>
          {% endif %}
          {% for column in model.columns -%}
            {% if column.auto is not defined %}
              {% if column.type == "text[]" %}
                {% include '/g/itpls/text.njk' %}
              {% else %}
                {% include '/g/itpls/'+column.type+'.njk' %}
              {% endif %}
            {% endif %}
          {%- endfor %}
          <input type=submit /> 
        </div>     
      </div>
    </div>


    <div class="content-table" name="{{ model_name }}">
      <div class="options">
        <div class="actions">
          <button id="select-all-btn">&#xF102;</button>
          <button id="deselect-all-btn">&#xF101;</button>
          <button id="delete-btn">&#xF108;</button>
        </div>


        <div class="order">
          <button id="sort-desc">&#xF104;</button>
          <select id="sort-value" autocomplete=off>
            <option value="id">Id</option>
            {% for column in model.columns -%}
              <option value="{{ column.name }}">{{ column.title[current_language] }}</option>
            {%- endfor %}
          </select>
        </div>
      </div>
<!--      <div class="tr">
        <div class="th {% if model.uuid == true %}uuid{% else %}int{% endif %}">Id</div>
        {% for column in model.columns -%}
          <div class="th {{ column.type }}">{{ column.title or column.name }}</div>
        {%- endfor %}
        <div class="th options">Options</div>
      </div>-->

<!--      {% for item in items -%}
        <div id="{{ item.id }}" class="tr item">
          <div class="td {% if model.uuid == true %}uuid{% else %}int{% endif %}">{{ item.id }}</div>

          <div class="td options">
            <div class="edit">&#xF10B;</div>
            <div class="remove">&#xF10C;</div>
          </div>
        </div>
        {%- endfor %}--> 
    </div>

    <div id="media-pages"></div>
    <div id="select-media-items" class="select-grid">
    </div>

    {% include '/g/footer.njk' %}
  </body>
  <script nonce="{{ csp_nonce }}">
    const id_type_uuid = {% if model.uuid == true %}true{% else %}false{% endif %};
    const content_model = JSON.parse(`{{ model | dump | safe }}`.replace(/\\/, "\\\\"));
    const album_name = "{{ album_name }}";
    const page_size = "{{ page_size }}";
    const page_count = "{{ page_count }}";
    const media_page_size = "{{ media_page_size }}";
    const media_page_count = "{{ media_page_count }}";
    let total_item_count = {{ total_item_count }};
    let current_page_index = 0;
    let current_language = "{{ cur_lang }}";
    const CURRENT_LANGUAGE = "{{ current_language }}";
    const LANG = JSON.parse(`{{ lang | dump | safe }}`);
  </script>
  <script flyauth_src="main.js"></script>
</html>
